<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<!-- Generated 16-abr-2020 12:36:14 by Hibernate Tools 4.3.1 -->
<hibernate-mapping>
    <class name="es.cipfpbatoi.dao.Departamento" table="Departamento" catalog="empresa" optimistic-lock="version">
        <id name="idDepartamento" type="java.lang.Integer">
            <column name="idDepartamento" />
            <generator class="identity" />
        </id>
        <many-to-one name="tipo" class="es.cipfpbatoi.dao.Tipo" fetch="select">
            <column name="tipo" not-null="true" />
        </many-to-one>
        <property name="nombre" type="string">
            <column name="nombre" length="45" />
        </property>
        <set name="empleados" table="Empleado" inverse="true" lazy="true" fetch="select">
            <key>
                <column name="Departamento" not-null="true" />
            </key>
            <one-to-many class="es.cipfpbatoi.dao.Empleado" />
        </set>
    </class>
</hibernate-mapping>
